Package com.xebialabs.xlrelease.domain.analytics

## Class ProjectedGateTask

- java.lang.Object
- - com.xebialabs.xlrelease.domain.analytics.ProjectedItem
  - - com.xebialabs.xlrelease.domain.analytics.ProjectedTask
    - - com.xebialabs.xlrelease.domain.analytics.ProjectedGateTask

-     public class ProjectedGateTask
      extends ProjectedTask

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.List<ProjectedDependency>` | `dependencies` |

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.analytics.ProjectedItem

      `endDate, endDateString, id, startDate, startDateString, status, title, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectedGateTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<ProjectedDependency>` | `getDependencies()` |
    `void` | `setDependencies​(java.util.List<ProjectedDependency> dependencies)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.analytics.ProjectedItem

      `getEndDate, getEndDateString, getId, getStartDate, getStartDateString, getStatus, getTitle, getType, setEndDate, setEndDateString, setId, setStartDate, setStartDateString, setStatus, setTitle, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dependencies

          public java.util.List<ProjectedDependency> dependencies

  - ### Constructor Detail

    - #### ProjectedGateTask

          public ProjectedGateTask()

  - ### Method Detail

    - #### getDependencies

          public java.util.List<ProjectedDependency> getDependencies()

    - #### setDependencies

          public void setDependencies​(java.util.List<ProjectedDependency> dependencies)